Package virtuoso.jdbc4

## Class VirtuosoXid

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoXid

All Implemented Interfaces:
  `javax.transaction.xa.Xid`

    public class VirtuosoXid
    extends java.lang.Object
    implements javax.transaction.xa.Xid

### Field Summary

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

### Constructor Summary

Constructors
`VirtuosoXid​(int formatId, byte[] globalId, byte[] branchId)`
`VirtuosoXid​(javax.transaction.xa.Xid xid)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`byte[]` `getBranchQualifier​()`
`int` `getFormatId​()`
`byte[]` `getGlobalTransactionId​()`
`int` `hashCode​()`
`static void` `main​(java.lang.String[] args)`
`java.lang.String` `toString​()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VirtuosoXid

    public VirtuosoXid​(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

Throws:
  `javax.transaction.xa.XAException`

#### VirtuosoXid

    public VirtuosoXid​(int formatId,
                       byte[] globalId,
                       byte[] branchId)
                throws javax.transaction.xa.XAException

Throws:
  `javax.transaction.xa.XAException`

### Method Detail

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode​()

Overrides:
  `hashCode` in class `java.lang.Object`

#### getFormatId

    public int getFormatId​()

Specified by:
  `getFormatId` in interface `javax.transaction.xa.Xid`

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId​()

Specified by:
  `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

#### getBranchQualifier

    public byte[] getBranchQualifier​()

Specified by:
  `getBranchQualifier` in interface `javax.transaction.xa.Xid`

#### toString

    public java.lang.String toString​()

Overrides:
  `toString` in class `java.lang.Object`

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`